essential-actions

Clone or download

Cleanup, add suport for open file

Modified Files

Binary files 'a/Dependencies/gitclone-1.0.0.jar' and /dev/null differ
Binary files /dev/null and b/Dependencies/org.eclipse.jgit-5.9.0.202009080501-r.jar differ
M Makefile
+17 −14
--- 'a/Makefile'
+++ b/Makefile
@@ -2,28 +2,31 @@ build-all:
./build.sh
hotkey:
- ./build.sh hotkey
+ ./build.sh hotkeyaction
-media-key:
- ./build.sh media_key
+mediakey:
+ ./build.sh mediakeyaction
obs-suite:
- ./build.sh obs_suite
+ ./build.sh obssuite
-play-audio-clip:
- ./build.sh play_audio_clip
+playaudioclip:
+ ./build.sh playaudioclipaction
-run-command:
- ./build.sh run_command
+runcommand:
+ ./build.sh runcommandaction
-text-block:
- ./build.sh text_block
+textblock:
+ ./build.sh textblockaction
-twitch-chat:
- ./build.sh twitch_chat
+twitch-talk:
+ ./build.sh twitch
twitter:
- ./build.sh twitter
+ ./build.sh twitteraction
website:
- ./build.sh website
+ ./build.sh websiteaction
+
+openfile:
+ ./build.sh openfileaction
M README.md
+23 −19
--- 'a/README.md'
+++ b/README.md
@@ -7,19 +7,6 @@ Set of trusted, essential actions and in
- Java >= 11
- Maven >= 3.6.3
-## List of Actions
-
-- Hotkey
-- Media File
-- Media Key
-- OBS Actions
-- Run Command
-- Text Block
-- Twitch Chat
-- Open File
-- Twitter
-- Website
-
## Actions Help Guide
- [Hotkey](hotkeyaction/README.md)
@@ -28,13 +15,30 @@ Set of trusted, essential actions and in
## Quick Start
-### on Linux or Mac
+To test these actions out in your local environment you'll need to run the [Stream-Pi Server](https://github.com/stream-pi/server) and copy the contents of `BuiltPlugins` to the server's
+Plugins directory (`$HOME/Stream-Pi/Server/Plugins` by default), especially if you're writing your own custom action / integration.
-Build all actions by executing `make build-all` from the command line or specific actions i.e. `make twitch-chat`, see [Makefile](Makefile) for complete list.
+### Linux/Mac
-### on Windows
+Build all actions by executing `make build-all` from the command line or specific actions i.e. `make twitch`.
-Build all actions by executing `build.bat` from the command line or specific actions i.e. `build.bat Hotkey`, see [batch file](build.bat) for complete list.
+### Windows
-To test these actions out in your local environment you'll need to run the [Stream-Pi Server](https://github.com/stream-pi/server) and copy the contents of `PreBuiltPlugins` to the server's
-Plugins directory (`$HOME/Stream-Pi/Server/Plugins` by default), especially if you're writing your own custom action / integration.
+Build all actions by executing `build.bat` from the command line or specific actions i.e. `build.bat twitch`.
+
+## List of Actions
+
+Action Name | Build Script Argument |
+--------------------- | ----------------------- |
+ Hotkey | `hotkey` |
+ Play Audio Clip | `playaudioclip` |
+ Media Key | `mediakey` |
+ OBS Suite | `obs-suite` |
+ Run Command | `runcommand` |
+ Text Block | `textblock` |
+ Twitch | `twitch-talk` |
+ Open File | `openfile` |
+ Twitter | `twitter` |
+ Website | `hotkey` |
+
+
M build.bat
+11 −11
--- 'a/build.bat'
+++ b/build.bat
@@ -8,16 +8,16 @@ mkdir %FOLD%
copy %DEPS%\* %FOLD%\
-if "%1%"=="hotkeyaction" (goto hotkeyaction)
-if "%1%"=="mediakeyaction" (goto mediakeyaction)
-if "%1%"=="obssuite" (goto obssuite)
-if "%1%"=="playaudioclipaction" (goto playaudioclipaction)
-if "%1%"=="runcommandaction" (goto runcommandaction)
-if "%1%"=="textblockaction" (goto textblockaction)
-if "%1%"=="twitch" (goto twitch)
-if "%1%"=="twitteraction" (goto twitteraction)
-if "%1%"=="websiteaction" (goto websiteaction)
-if "%1%"=="openfileaction" (goto openfileaction)
+if "%1%"=="hotkey" (goto hotkeyaction)
+if "%1%"=="mediakey" (goto mediakeyaction)
+if "%1%"=="obs" (goto obssuite)
+if "%1%"=="playaudioclip" (goto playaudioclipaction)
+if "%1%"=="runcommand" (goto runcommandaction)
+if "%1%"=="textblock" (goto textblockaction)
+if "%1%"=="twitch-talk" (goto twitch)
+if "%1%"=="twitter" (goto twitteraction)
+if "%1%"=="website" (goto websiteaction)
+if "%1%"=="openfile" (goto openfileaction)
if NOT "%1%"=="" (
echo Invalid argument %1%
@@ -205,6 +205,6 @@ if "%quit%" == "true" (EXIT /B 0)
pushd %CD%
cd openfileaction
call mvn clean -Dmaven.test.skip package
-move target\openfile-*.jar ..\%FOLD%\openfile.jar
+move target\openfileaction-*.jar ..\%FOLD%\openfileaction.jar
popd
if "%quit%" == "true" (EXIT /B 0)
\ No newline at end of file
M build.sh
+56 −48
--- 'a/build.sh'
+++ b/build.sh
@@ -3,82 +3,82 @@
FOLD=BuiltPlugins
DEPS=Dependencies
-hotkey() {
+hotkeyaction() {
pushd . || exit
cd hotkeyaction && mvn clean -Dmaven.test.skip package
mv target/hotkeyaction-*.jar ../$FOLD/hotkeyaction.jar
popd || exit
}
-media_key() {
+mediakeyaction() {
pushd . || exit
cd mediakeyaction && mvn clean -Dmaven.test.skip package
mv target/mediakeyaction-*.jar ../$FOLD/mediakeyaction.jar
popd || exit
}
-obs_suite() {
+obssuite() {
pushd . || exit
- cd obssuite/mother && ../mvn clean install -Dmaven.test.skip package
+ cd obssuite/mother && mvn clean install -Dmaven.test.skip package
mv target/obssuite_motheraction-*.jar ../../$FOLD/obssuite_motheraction.jar
- cd ../setcurrentprofile && ../mvn clean -Dmaven.test.skip package
+ cd ../setcurrentprofile && mvn clean -Dmaven.test.skip package
mv target/obssuite_setcurrentprofileaction-*.jar ../../$FOLD/obssuite_setcurrentprofileaction.jar
- cd ../setcurrentscene && ../mvn clean -Dmaven.test.skip package
+ cd ../setcurrentscene && mvn clean -Dmaven.test.skip package
mv target/obssuite_setcurrentsceneaction-*.jar ../../$FOLD/obssuite_setcurrentsceneaction.jar
- cd ../setcurrenttransition && ../mvn clean -Dmaven.test.skip package
+ cd ../setcurrenttransition && mvn clean -Dmaven.test.skip package
mv target/obssuite_setcurrenttransitionaction-*.jar ../../$FOLD/obssuite_setcurrenttransitionaction.jar
- cd ../setmute && ../mvn clean -Dmaven.test.skip package
+ cd ../setmute && mvn clean -Dmaven.test.skip package
mv target/obssuite_setmuteaction-*.jar ../../$FOLD/obssuite_setmuteaction.jar
- cd ../setcurrentprofile && ../mvn clean -Dmaven.test.skip package
+ cd ../setcurrentprofile && mvn clean -Dmaven.test.skip package
mv target/obssuite_setcurrentprofileaction-*.jar ../../$FOLD/obssuite_setcurrentprofileaction.jar
- cd ../setpreviewscene && ../mvn clean -Dmaven.test.skip package
+ cd ../setpreviewscene && mvn clean -Dmaven.test.skip package
mv target/obssuite_setpreviewsceneaction-*.jar ../../$FOLD/obssuite_setpreviewsceneaction.jar
- cd ../setrecording && ../mvn clean -Dmaven.test.skip package
+ cd ../setrecording && mvn clean -Dmaven.test.skip package
mv target/obssuite_setrecordingaction-*.jar ../../$FOLD/obssuite_setrecordingaction.jar
- cd ../setreplaybuffer && ../mvn clean -Dmaven.test.skip package
+ cd ../setreplaybuffer && mvn clean -Dmaven.test.skip package
mv target/obssuite_setreplaybufferaction-*.jar ../../$FOLD/obssuite_setreplaybufferaction.jar
- cd ../setstreaming && ../mvn clean -Dmaven.test.skip package
+ cd ../setstreaming && mvn clean -Dmaven.test.skip package
mv target/obssuite_setstreamingaction-*.jar ../../$FOLD/obssuite_setstreamingaction.jar
- cd ../setstudiomode && ../mvn clean -Dmaven.test.skip package
+ cd ../setstudiomode && mvn clean -Dmaven.test.skip package
mv target/obssuite_setstudiomodeaction-*.jar ../../$FOLD/obssuite_setstudiomodeaction.jar
- cd ../setvolume && ../mvn clean -Dmaven.test.skip package
+ cd ../setvolume && mvn clean -Dmaven.test.skip package
mv target/obssuite_setvolumeaction-*.jar ../../$FOLD/obssuite_setvolumeaction.jar
popd || exit
}
-play_audio_clip() {
+playaudioclipaction() {
pushd . || exit
cd playaudioclipaction && mvn clean -Dmaven.test.skip package
mv target/playaudioclipaction-*.jar ../$FOLD/playaudioclipaction.jar
popd || exit
}
-run_command() {
+runcommandaction() {
pushd . || exit
cd runcommandaction && mvn clean -Dmaven.test.skip package
mv target/runcommandaction-*.jar ../$FOLD/runcommandaction.jar
popd || exit
}
-text_block() {
+textblockaction() {
pushd . || exit
cd textblockaction && mvn clean -Dmaven.test.skip package
mv target/textblockaction-*.jar ../$FOLD/textblockaction.jar
popd || exit
}
-twitch_chat() {
+twitch() {
pushd . || exit
cd twitch/twitch-chat-connect && mvn clean install -Dmaven.test.skip package
mv target/twitch-chat-connect-*.jar ../../$FOLD/twitch-chat-connect.jar
@@ -122,62 +122,70 @@ twitch_chat() {
popd || exit
}
-twitter() {
+twitteraction() {
pushd . || exit
cd twitteraction && mvn clean -Dmaven.test.skip package
mv target/twitteraction-*.jar ../$FOLD/twitteraction.jar
popd || exit
}
-website() {
+websiteaction() {
pushd . || exit
cd websiteaction && mvn clean -Dmaven.test.skip package
mv target/websiteaction-*.jar ../$FOLD/websiteaction.jar
popd || exit
}
+openfileaction() {
+ pushd . || exit
+ cd openfileaction && mvn clean -Dmaven.test.skip package
+ mv target/openfileaction-*.jar ../$FOLD/openfileaction.jar
+ popd || exit
+}
+
mkdir -p $FOLD
rm -rf "${FOLD:?}/"*
cp $DEPS/* $FOLD/
case "$1" in
-hotkey)
- hotkey
+hotkeyaction)
+ hotkeyaction
;;
-media_key)
- media_key
+mediakeyaction)
+ mediakeyaction
;;
-obs_suite)
- obs_suite
+obssuite)
+ obssuite
;;
-play_audio_clip)
- play_audio_clip
+playaudioclipaction)
+ playaudioclipaction
;;
-run_command)
- run_command
+runcommandaction)
+ runcommandaction
;;
-text_block)
- text_block
+textblockaction)
+ textblockaction
;;
-twitch_chat)
- twitch_chat
+twitch)
+ twitch
;;
-twitter)
- twitter
+twitteraction)
+ twitteraction
;;
-website)
- website
+websiteaction)
+ websiteaction
;;
*)
# build all actions as default
- hotkey
- media_key
- obs_suite
- play_audio_clip
- run_command
- text_block
- twitch_chat
- twitter
- website
+ hotkeyaction
+ mediakeyaction
+ obssuite
+ playaudioclipaction
+ runcommandaction
+ textblockaction
+ twitch
+ twitteraction
+ websiteaction
+ openfileaction
;;
esac